commit:     6a97599bc4c88630129791405b187d206fcc1cf4
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun May 25 21:20:08 2025 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun May 25 21:39:03 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a97599b

www-apps/tt-rss: Unify the live and non-live ebuilds

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 www-apps/tt-rss/tt-rss-20241001.ebuild | 25 +++++++++++++++++++++----
 www-apps/tt-rss/tt-rss-99999999.ebuild | 16 ++++++++++++----
 2 files changed, 33 insertions(+), 8 deletions(-)

diff --git a/www-apps/tt-rss/tt-rss-20241001.ebuild 
b/www-apps/tt-rss/tt-rss-20241001.ebuild
index 8feeb14d7f04..cffc29ca5592 100644
--- a/www-apps/tt-rss/tt-rss-20241001.ebuild
+++ b/www-apps/tt-rss/tt-rss-20241001.ebuild
@@ -1,16 +1,23 @@
-# Copyright 1999-2024 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 inherit webapp
 
+if [[ ${PV} == *9999999* ]]; then
+       SLOT="${PV}" # Single live slot.
+       EGIT_REPO_URI="https://git.tt-rss.org/fox/${PN}.git";
+       inherit git-r3
+else
+       SRC_URI="https://dev.gentoo.org/~chewi/distfiles/${P}.tar.xz";
+       S="${WORKDIR}/${PN}"
+       KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+fi
+
 DESCRIPTION="Tiny Tiny RSS - A web-based news feed (RSS/Atom) aggregator using 
AJAX"
 HOMEPAGE="https://tt-rss.org/";
-SRC_URI="https://dev.gentoo.org/~chewi/distfiles/${P}.tar.xz";
-S="${WORKDIR}/${PN}"
 LICENSE="GPL-3"
-KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
 IUSE="+acl daemon gd +mysqli postgres"
 REQUIRED_USE="|| ( mysqli postgres )"
 
@@ -88,3 +95,13 @@ src_install() {
 
        webapp_src_install
 }
+
+pkg_postinst() {
+       if ! use vhosts && [[ -n ${REPLACING_VERSIONS} && ${PV} == *9999999* 
]]; then
+               elog
+               elog "The live ebuild does not automatically upgrade your 
installations so"
+               elog "don't forget to do so manually."
+       fi
+
+       webapp_pkg_postinst
+}

diff --git a/www-apps/tt-rss/tt-rss-99999999.ebuild 
b/www-apps/tt-rss/tt-rss-99999999.ebuild
index 9c83e2ff6538..70c2c4a3e487 100644
--- a/www-apps/tt-rss/tt-rss-99999999.ebuild
+++ b/www-apps/tt-rss/tt-rss-99999999.ebuild
@@ -3,13 +3,21 @@
 
 EAPI=8
 
-inherit git-r3 webapp
+inherit webapp
+
+if [[ ${PV} == *9999999* ]]; then
+       SLOT="${PV}" # Single live slot.
+       EGIT_REPO_URI="https://git.tt-rss.org/fox/${PN}.git";
+       inherit git-r3
+else
+       SRC_URI="https://dev.gentoo.org/~chewi/distfiles/${P}.tar.xz";
+       S="${WORKDIR}/${PN}"
+       KEYWORDS="~amd64 ~arm ~arm64 ~mips ~x86"
+fi
 
 DESCRIPTION="Tiny Tiny RSS - A web-based news feed (RSS/Atom) aggregator using 
AJAX"
 HOMEPAGE="https://tt-rss.org/";
-EGIT_REPO_URI="https://git.tt-rss.org/fox/${PN}.git";
 LICENSE="GPL-3"
-SLOT="${PV}" # Single live slot.
 IUSE="+acl daemon gd"
 
 PHP_SLOTS="8.4 8.3 8.2" # Check with: grep PHP_VERSION classes/Config.php
@@ -118,7 +126,7 @@ src_install() {
 }
 
 pkg_postinst() {
-       if use vhosts && [[ -n ${REPLACING_VERSIONS} ]]; then
+       if ! use vhosts && [[ -n ${REPLACING_VERSIONS} && ${PV} == *9999999* 
]]; then
                elog
                elog "The live ebuild does not automatically upgrade your 
installations so"
                elog "don't forget to do so manually."

Reply via email to